.container{
    width: 100%;
    height: 100vh;
    background: linear-gradient(120deg,#67B26F,#4ca2cd);
    color: #fff;
    overflow: hidden;

    .nav{
        display: flex;
        position: relative;
        height: 60px;

        .title{
            display: flex;
            align-items: center;
            font-size: 25px;
            padding: 0 15px;
            cursor: pointer;
            border-radius: 2px;
            transition: all .25s;          
            animation: title 1s;

            .code-icon{
                margin-right: 10px;
                font-size: 35px;
            }
            
            .title-icon{
                width: 40px;
            }

            &:hover{
                box-shadow: 3px 2px 6px #538e60;
            }
        }
    
        .tab{
            font-size: 17px;
            display: flex;
            align-items: center;
            ul{
                margin: 0;
                display: inline-flex;
                align-items: center;
                align-content: center;
                li{
                    list-style: none;
                    padding: 10px 15px;
                    cursor: pointer;
                    border-radius: 2px;
                    transition: all .2s;
                    animation: nav 1s;

                    &:hover{
                        background: rgba($color: #fff, $alpha: 0.2);
                    }
                }
            }
        }
    
        .sign-in{
            position: absolute;
            right: 10px;
            top: 10px;
            animation: sign-in 1s;

            button{
                background-color: transparent;
                color: #fff;
                border: none;
                font-size: 16px;
                padding: 10px 15px;
                border-radius: 2px;
                transition: all .2s;

                &:hover{
                    background: rgba($color: #fff, $alpha: 0.2);
                }
            }
        }
    }

    .content{
        display: flex;
        margin-top: 150px;
        
        .paragraph{
            width: 45%;
            padding: 90px 0 0 90px ; 
            border-right: 1px solid #fff;
            animation: paragraph 2s;
            .paragraph-header{
                font-size: 28px;
                margin-bottom: 10px;
                animation: paragraph-header 2s;
            }

            p{
                font-size: 16px;
                margin: 5px 0 0 0;
                animation: paragraph-content 2s;
            }
        }

        .city{
            width: 55%;

            .city-header{
                text-align: center;
                font-size: 40px;
                margin-bottom: 10px;
                animation: image-header 2s;
            }

            .img-bound{
                display: flex;
                justify-content: center;
                
                .city-image{
                    width: 80%;
                    transform: rotateZ(0deg) rotateY(-42deg);
                    transition: all .5s;
                    animation: image 2s;

                    &:hover{
                        transform: rotateZ(2deg) rotateY(-42deg);
                    }
                }
            }
            
        }
    }

    .footer{
        position: absolute;
        bottom: 10px;
        margin-left: 25px;
        animation: footer 2s;
        transition: all .5s;
        .social-media{

            ul{
                display: inline-flex;
                padding: 0;
                li{
                    font-size: 18px;
                    padding: 5px 10px;
                    list-style: none;
    
                    .social-media-color{
                        color: #fff;
                        text-decoration: none;  
                    }
                }
            }

            .fa-chevron-left{
                font-size: 18px;
                margin-left: 10px;
                color: transparent;
                transition: all .5s;
            }

            .fa-chevron-right{
                font-size: 18px;
                margin-left: 10px;
                transition: all .5s;
            }

            &:hover{
                .fa-chevron-left{
                    color: #fff;
                }
            }
            
            
        }

        
    }

    .footer-hidden{
        transition: all .5s;
        transform: translateX(-130px);
    }

    .background-change{
        position: absolute;
        right: 40px; 
        bottom: 30px;
        animation: footer 2s;

        .background-cover{
            position: relative;

            button{
                height: 35px;
                width: 140px;
                background-color: transparent;
                color: #fff;
                border: 2px solid #fff;
                border-radius: 3px;
                font-size: 14px;
                
            
            }

            .options{
                position: absolute;
                bottom: 37px;
                left: 0;
                padding: 10px;
                box-shadow: 1px 1px 5px #3b5973;
                box-sizing: border-box;
                width: 138px;
                background: rgba($color: #fff, $alpha: 0.05);
                transition: all .2s;

                .background-option{
                    margin-bottom: 7px;
                    font-size: 14px;
                    padding: 5px;
                    transition: all .3s;
                    cursor: pointer;

                    &:hover{
                        background: rgba($color: #fff, $alpha: 0.2);
                    }
                }
            }

            .background-hidden{
                transform: translateY(10px);
                box-shadow: none;
                opacity: 0;
                transition: all .2s;
            }
        }
    }

    
}    

.container-img{
    // background-image: url("../../assets/images/beach-up.jpg");
    // background-size: cover;

    width: 100%;
    height: 100vh;
    color: #fff;
    overflow: hidden;

    &::before{
        content: '';
        background: #000;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        position: absolute;
        z-index: -2; 
    }

    &::after{
        content: '';
        background-image: url("../../assets/images/beach-up.jpg");
        background-size: cover;
        opacity: 0.65;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        position: absolute;
        z-index: -1; 
    }
    
    .nav{
        display: flex;
        position: relative;
        height: 60px;

        .title{
            display: flex;
            align-items: center;
            font-size: 25px;
            padding: 0 15px;
            cursor: pointer;
            border-radius: 2px;
            transition: all .25s;          
            animation: title 1s;

            .code-icon{
                margin-right: 10px;
                font-size: 35px;
            }
            
            .title-icon{
                width: 40px;
            }

            &:hover{
                box-shadow: 3px 2px 1px #1f2121;
            }
        }
    
        .tab{
            font-size: 17px;
            display: flex;
            align-items: center;
            ul{
                margin: 0;
                display: inline-flex;
                align-items: center;
                align-content: center;
                li{
                    list-style: none;
                    padding: 10px 15px;
                    cursor: pointer;
                    border-radius: 2px;
                    transition: all .2s;
                    animation: nav 1s;

                    &:hover{
                        background: rgba($color: #fff, $alpha: 0.2);
                    }
                }
            }
        }
    
        .sign-in{
            position: absolute;
            right: 10px;
            top: 10px;
            animation: sign-in 1s;

            button{
                background-color: transparent;
                color: #fff;
                border: none;
                font-size: 16px;
                padding: 10px 15px;
                border-radius: 2px;
                transition: all .2s;

                &:hover{
                    background: rgba($color: #fff, $alpha: 0.2);
                }
            }
        }
    }

    .content{
        display: flex;
        margin-top: 150px;
        
        .paragraph{
            width: 45%;
            padding: 90px 0 0 90px ; 
            border-right: 1px solid #fff;
            animation: paragraph 2s;
            .paragraph-header{
                font-size: 28px;
                margin-bottom: 10px;
                animation: paragraph-header 2s;
            }

            p{
                font-size: 16px;
                margin: 5px 0 0 0;
                animation: paragraph-content 2s;
            }
        }

        .city{
            width: 55%;

            .city-header{
                text-align: center;
                font-size: 40px;
                margin-bottom: 10px;
                animation: image-header 2s;
                text-shadow: 3px 4px 5px #000;
            }

            .img-bound{
                display: flex;
                justify-content: center;
                
                .city-image{
                    width: 80%;
                    transform: rotateZ(0deg) rotateY(-42deg);
                    transition: all .5s;
                    animation: image 2s;

                    &:hover{
                        transform: rotateZ(2deg) rotateY(-42deg);
                    }
                }
            }
            
        }
    }

    .footer{
        position: absolute;
        bottom: 10px;
        margin-left: 25px;
        animation: footer 2s;
        transition: all .5s;
        .social-media{

            ul{
                display: inline-flex;
                padding: 0;
                li{
                    font-size: 18px;
                    padding: 5px 10px;
                    list-style: none;
    
                    .social-media-color{
                        color: #fff;
                        text-decoration: none;  
                    }
                }
            }

            .fa-chevron-left{
                font-size: 18px;
                margin-left: 10px;
                color: transparent;
                transition: all .5s;
            }

            .fa-chevron-right{
                font-size: 18px;
                margin-left: 10px;
                transition: all .5s;
            }

            &:hover{
                .fa-chevron-left{
                    color: #fff;
                }
            }
            
            
        }

        
    }

    .footer-hidden{
        transition: all .5s;
        transform: translateX(-130px);
    }

    .background-change{
        position: absolute;
        right: 40px; 
        bottom: 30px;
        animation: footer 2s;

        .background-cover{
            position: relative;

            button{
                height: 35px;
                width: 140px;
                background-color: transparent;
                color: #fff;
                border: 2px solid #fff;
                border-radius: 3px;
                font-size: 14px;
                
            
            }

            .options{
                position: absolute;
                bottom: 37px;
                left: 0;
                padding: 10px;
                box-shadow: 1px 1px 5px #3b5973;
                box-sizing: border-box;
                width: 138px;
                background: rgba($color: #fff, $alpha: 0.05);
                transition: all .2s;

                .background-option{
                    margin-bottom: 7px;
                    font-size: 14px;
                    padding: 5px;
                    transition: all .3s;
                    cursor: pointer;

                    &:hover{
                        background: rgba($color: #fff, $alpha: 0.2);
                    }
                }
            }

            .background-hidden{
                transform: translateY(10px);
                box-shadow: none;
                opacity: 0;
                transition: all .2s;
            }
        }
    }

}


@keyframes vibration{
    0% {transform: rotateZ(-8deg) rotateY(-42deg);}
    25% {transform: rotateZ(6deg) rotateY(-42deg);}
    50% {transform: rotateZ(-4deg) rotateY(-42deg);}
    75% {transform: rotateZ(2deg) rotateY(-42deg);}
    100% {transform: rotateZ(-0deg) rotateY(-42deg);}
}

@keyframes title{
    from{
        color: transparent;
        transform: translateX(-20px);
    }
    to{
        color: #fff;
        transform: translateX(0);
    }
}

@keyframes nav{
    from{
        color: transparent;
        transform: translateY(-40px);
    }
    to{
        color: #fff;
        transform: translateY(0);
    }
}

@keyframes sign-in{
    from{
        color: transparent;
        transform: translateX(20px);
    }
    to{
        color: #fff;
        transform: translateX(0);
    }
}

@keyframes paragraph-header{
    0% {
        color: transparent;
        transform: translateX(-20px);
    }
    25% {
        color: transparent;
        transform: translateX(-20px);
    }
    50% {
        color: #fff;
        transform: translateX(0px);
    }
    75% {
        color: #fff;
        transform: translateX(0px);
    }
    100% {
        color: #fff;
        transform: translateX(0px);
    }
}

@keyframes paragraph-content{
    0% {
        color: transparent;
        transform: translateX(-20px);
    }
    25% {
        color: transparent;
        transform: translateX(-20px);
    }
    50% {
        color: transparent;
        transform: translateX(-20px);
    }
    75% {
        color: #fff;
        transform: translateX(0px);
    }
    100% {
        color: #fff;
        transform: translateX(0px);
    }
}

@keyframes image-header{
    0% {
        color: transparent;
        transform: translateX(-20px);
    }
    25% {
        color: transparent;
        transform: translateX(-20px);
    }
    50% {
        color: #fff;
        transform: translateX(0px);
    }
    75% {
        color: #fff;
        transform: translateX(0px);
    }
    100% {
        color: #fff;
        transform: translateX(0px);
    }
}

@keyframes image{
    0% {
        opacity: 0;
        width: 60%;
    }
    25% {
        opacity: 0;
        width: 60%;
    }
    50% {
        opacity: 0;
        width: 60%;
    }
    75% {
        opacity: 1;
        width: 80%;
    }
    100% {
        opacity: 1;
        width: 80%;
    }
}

@keyframes footer{
    0% {
        opacity: 0;
    }
    25% {
        opacity: 0;
    }
    50% {
        opacity: 0;
    }
    75% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes paragraph{
    0% {
        border: 1px  #fff;
    }
    25% {
        border: 1px  #fff;
    }
    100% {
        border-right: 1px solid #fff;
    }
}